%global drv_vendor OpenDaylight
%global pkgname networking-odl
%global srcname networking_odl
%global docpath doc/build/html

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-%{pkgname}
Epoch:          1
Version:        12.0.1
Release:        1%{?dist}
Summary:        %{drv_vendor} OpenStack Neutron driver

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://tarballs.openstack.org/%{pkgname}/%{pkgname}-%{upstream_version}.tar.gz
# patches_ignore=DROP-IN-RPM
# patches_base=12.0.1
Patch0001: 0001-Add-ODL-deprecation-warning.patch

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  python2-devel
BuildRequires:  python2-mock
#BuildRequires:  python2-neutron-tests
BuildRequires:  python2-openstackdocstheme
#BuildRequires:  python2-oslotest
BuildRequires:  python2-oslo-config
BuildRequires:  python2-pbr
BuildRequires:  python2-sphinx
BuildRequires:  python2-testrepository
BuildRequires:  python2-testtools

Requires:       openstack-neutron-ml2
Requires:       python2-babel
Requires:       python2-pbr
Requires:       python-websocket-client
Requires:       python2-stevedore
Requires:       python2-neutron-lib >= 1.13.0
Requires:       python2-debtcollector

%description
This package contains %{drv_vendor} networking driver for OpenStack Neutron.


%prep
%autosetup -n %{pkgname}-%{upstream_version} -S git
# Remove gate hooks
rm -rf %{srcname}/tests/contrib

%build
rm requirements.txt test-requirements.txt
%{__python2} setup.py build
%{__python2} setup.py build_sphinx -b html
rm %{docpath}/.buildinfo


#%check
#%{__python2} setup.py testr


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{__python2} setup.py install --skip-build --root %{buildroot}

# Move config file to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/neutron/plugins/ml2
mv %{buildroot}/usr/etc/neutron/* %{buildroot}%{_sysconfdir}/neutron/plugins/ml2
chmod 640 %{buildroot}%{_sysconfdir}/neutron/plugins/*/*.ini


%files
%license LICENSE
%doc %{docpath}
%{_bindir}/neutron-odl-ovs-hostconfig
%{_bindir}/neutron-odl-analyze-journal-logs
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/ml2/*.ini

%changelog
* Tue Feb 04 2020 Steve Linabery <slinaber@redhat.com> 1:12.0.1-1
- Update to 12.0.1

* Wed Aug 14 2019 Janki Chhatbar <jchhatba@redhat.com> 1:12.0.1-0.20180228140719
- Add ODL deprecation warning (rhbz#1740028)

* Wed Nov 28 2018 Jon Schlueter <jschluet@redhat.com> 1:12.0.1-0.20180228140718
- Implement Baked Query
- Abstract how retriable methods are tested
- Removing the fullstack tests
- Add more information to the ovs flows dump
- Fix log format for oxygen logging
- Move extensions_to_txt to the job defintion
- update (rhbz#1654271)

* Wed Oct 17 2018 Steve Linabery <slinaber@redhat.com> 1:12.0.1-0.20180228140717
- Ceilometer meters for ODL should use project id of admin
- Revert "pseudo port binding: teach agent aliveness"
- import zuul job settings from project-config
- Source neutron-legacy to grenade
- use callback payloads for PRECOMMIT_UPDATE events
- Use stable branch for unit tests instead of master
- Log exceptions on security group callbacks
- Use latest ODL version for jobs

* Tue Jul 24 2018 Jon Schlueter <jschluet@redhat.com> 1:12.0.1-0.20180228140716.8733cf6
- Fix stable sphinx-docs job and pep8
- ODL DHCP Port to be created only for IPv4 subnets.
- update to upstream/stable/queens (rhbz#1608000)

* Mon Jul 02 2018 Jon Schlueter <jschluet@redhat.com> 1:12.0.1-0.20180228140715.8733cf6
- Retry journal recording in L3 (rhbz#1519783)
- Cleanup l3_odl_v2 code (rhbz#1519783)

